/*
 * Club Member Road Show theme
 * */

/* --- color palette --- */

body {
    color: #46403f !important;
    font-size: 20px;
    line-height: 28px;
}

.default-text {
    color: #46403f;
}

.white-text {
    color: #ffffff;
}

.citrus-sunrise-text {
    color: #f76b3c;
}

.legacy-green-text {
    color: #1c4b34;
}

.coconut-husk-text {
    color: #e7dbd0;
}

.citrus-sunrise-bg {
    background-color: #f76b3c;
    color: #ffffff;
}

.legacy-green-bg {
    background-color: #1c4b34;
    color: #ffffff;
}

.seashell-sand-bg {
    background-color: #f2f1e9;
}

.coconut-husk-bg {
    background-color: #e7dbd0;
}

.coral-reef-bg {
    background-color: #ff9b75;
}

/* --- typography --- */

h1 {
    font-family: 'playfair', Helvetica, Arial, sans-serif;
    font-weight: 600;
    letter-spacing: 0.125px;
}

h2, h3, h4, h5, h6 {
    font-family: 'Montserrat', Helvetica, Arial, sans-serif;
    font-weight: 600;
}

p {
    font-family: 'Montserrat', Helvetica, Arial, sans-serif;
    font-weight: 500;
}

.playfair {
    font-family: 'Playfair', Helvetica, Arial, sans-serif;
    font-weight: 500;
    letter-spacing: 0.125px;
}

.montserrat {
    font-family: 'Montserrat', Helvetica, Arial, sans-serif;
    font-weight: 600;
}

.semi-bold-font {
    font-weight: 500;
}

.inherit-color {
    color: inherit;
}

/* --- links --- */
a {
    color: #46403f;
    font-weight: 600;
}

/* --- buttons --- */

.btn {
    border-radius: 0;
    font-weight: 700;
    white-space: normal;
}

.btn-primary,
.btn-primary:visited {
    background-color: #f76b3c;
    border-color: #f76b3c;
    color: #ffffff;
}

.btn.btn-primary:active,
.btn.btn-primary:hover {
    background-color: #ffffff;
    border-color: #f76b3c;
    color: #f76b3c;
}

.btn-primary-inverse,
.btn-primary-inverse:visited {
    background-color: #ffffff;
    border-color: #f76b3c;
    color: #f76b3c;
}

.btn.btn-primary-inverse:active,
.btn.btn-primary-inverse:hover {
    background-color: #f76b3c;
    border-color: #f76b3c;
    color: #ffffff;
}

.btn-green,
.btn-green:visited {
    background-color: #1c4b34;
    border-color: #1c4b34;
    color: #ffffff;
}

.btn-green:active,
.btn-green:hover {
    background-color: #ffffff;
    border-color: #1c4b34;
    color: #1c4b34;
}

.btn-green-inverse,
.btn-green-inverse:visited {
    background-color: #1c4b34;
    border-color: #ffffff;
    color: #ffffff;
}

.btn-green-inverse:active,
.btn-green-inverse:hover {
    background-color: #ffffff;
    border-color: #1c4b34;
    color: #1c4b34;
}

.btn-transparent,
.btn-transparent:visited {
    background-color: transparent;
    border-color: #ffffff;
    color: #ffffff;
}

.btn-transparent:active,
.btn-transparent:hover {
    background-color: #ffffff;
    border-color: #f76b3c;
    color: #f76b3c;
}

/* --- footer --- */

footer {
    border: none;
    box-shadow: none;
    color: #46403f !important;
    font-size: 0.75em;
    line-height: 21px;
    padding: 3em 0;
}

footer a {
    color: #46403f;
}

footer a img,
footer a img:active,
footer a img:hover {
    border: none;
}

footer .social-icon-container {
    display: flex;
    flex-direction: row;
    gap: 1.5em;
}

footer .social-icon-container a {
    border: none;
}

footer .privacy-links {
    display: flex;
    gap: 1.5em;
}

/* --- navigation --- */

.nav-boundary {
    padding-top: 3em;
}

.nav-positioning {
    position: absolute;
    width: 100%;
}

.nav-container {
    padding: 25px 0;
}

.nav-logo-container a,
.nav-logo-container a:active,
.nav-logo-container a:hover {
    border: none !important;
    padding: 0;
}

.nav-logo-container a img:active,
.nav-logo-container a img:hover {
    border: none;
    outline: none;
    outline-offset: initial;
    transition: none;
}

.nav-logo-container img {
    border: none;
    height: 50px;
}

/* --- utilities --- */
/* scale: 1 (.25em), 2 (.5em), 3 (1em), 4 (1.5em), 5 (3em) */

.no-margin {
    margin: 0;
}

.no-padding-horizontal {
    padding-left: 0;
    padding-right: 0;
}

.padding-left-1 {
    padding-left: 0.25em;
}

.padding-right-3 {
    padding-right: 1em;
}

.padding-vertical-4 {
    padding: 1.5em 0;
}

.padding-vertical-5 {
    padding: 3em 0;
}

.padding-top-4 {
    padding-top: 1.5em;
}

.padding-top-5 {
    padding-top: 3em;
}

.padding-bottom-4 {
    padding-bottom: 1.5em;
}

.padding-bottom-5 {
    padding-bottom: 3em;
}

.padding-3 {
    padding: 1em;
}

.margin-vertical-3 {
    margin: 1em 0;
}

.margin-vertical-4 {
    margin: 1.5em 0;
}

.margin-vertical-5 {
    margin: 3em 0;
}

.margin-top-2 {
    margin-top: 0.5em;
}

.margin-top-3 {
    margin-top: 1em;
}

.margin-top-4 {
    margin-top: 1.5em;
}

.margin-top-5 {
    margin-top: 3em;
}

.margin-bottom-1 {
    margin-bottom: 0.25em;
}

.margin-bottom-2 {
    margin-bottom: 0.5em;
}

.margin-bottom-3 {
    margin-bottom: 1em;
}

.margin-bottom-4 {
    margin-bottom: 1.5em;
}

.margin-bottom-5 {
    margin-bottom: 3em;
}

.slightly-small {
    font-size: 0.875em;
}

.small {
    font-size: 0.75em;
    line-height: 24px;
}

.flex-row {
    display: flex;
    flex-direction: row;
}

.flex-column {
    display: flex;
    flex-direction: column;
}

.flex-align-center {
    align-items: center;
    justify-content: center;
}

.flex-align-self-center {
    align-self: center;
}

.flex-gap-2 {
    gap: 0.5em;
}

.flex-gap-3 {
    gap: 1em;
}

.flex-column-gap-3 {
    gap: 0 1em;
}

.flex-space-between {
    justify-content: space-between;
}

.flex-wrap {
    flex-wrap: wrap;
}

.flex-space-1 {
    flex: 1;
}

.section-divider {
    border-top: 3px solid #f76b3c;
    width: 50px;
}

.scroll-margin-top {
    scroll-margin-top: 80px;
}

/* --- media queries --- */

/* small to medium devices (992px and down) */
@media only screen and (max-width: 992px) {

    .text-center-mobile {
        text-align: center;
    }

    .no-padding-mobile {
        padding: 0;
    }

    .padding-vertical-4-mobile {
        padding: 1.5em 0;
    }

    .padding-top-4-mobile {
        padding-top: 1.5em;
    }

    .padding-bottom-0-mobile {
        padding-bottom: 0;
    }

    .margin-vertical-3-mobile {
        margin: 1em 0;
    }

    .margin-top-3-mobile {
        margin-top: 1em;
    }

    .margin-bottom-3-mobile {
        margin-bottom: 1em;
    }

    .margin-bottom-4-mobile {
        margin-bottom: 1.5em;
    }

    .margin-bottom-0-mobile {
        margin-bottom: 0;
    }

    .nav-logo-container img {
        height: 30px;
    }

    .flex-column-mobile {
        display: flex;
        flex-direction: column;
    }

    .flex-column-reverse-mobile {
        display: flex;
        flex-direction: column-reverse;
    }

    .flex-row-mobile {
        display: flex;
        flex-direction: row;
    }

    .flex-gap-3-mobile {
        gap: 1em;
    }

    .flex-justify-center-mobile {
        justify-content: center;
    }

    footer .privacy-links {
        flex-direction: column;
        justify-content: flex-start;
    }
}

/* large devices (992px and up) */
@media only screen and (min-width: 992px) {

    footer .privacy-links {
        flex-direction: row;
        justify-content: flex-end;
    }
}